package com.java8.practies;

import java.util.Comparator;
import java.util.List;

public class Employee implements Comparator<Employee>{

	String id;
	String firstName;
	String lastName;
	List<String> departmentNames;

	public Employee() {
		super();
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getFirstName() {
		return firstName;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

    

	public List<String> getDepartmentNames() {
		return departmentNames;
	}

	public void setDepartmentNames(List<String> departmentNames) {
		this.departmentNames = departmentNames;
	}

	
	public Employee(String id, String firstName, String lastName, List<String> list) {
		super();
		this.id = id;
		this.firstName = firstName;
		this.lastName = lastName;
		this.departmentNames = list;
	}

	@Override
	public String toString() {
		return "Employee [id=" + id + ", firstName=" + firstName + ", lastName=" + lastName + ", departmentNames="
				+ departmentNames + "]";
	}

	@Override
	public int compare(Employee o1, Employee o2) {
		return o1.firstName.compareTo(o2.firstName);
	}

	
}
